# DeubertIT :: Healthchecks

Check the php version and extensions requirements in the project's composer.json file.


# Usage

To be able to use this module in your project, add the following content to the composer.json:

to "repositories" section
```javascript
{
    "type": "vcs",
    "url": "https://gitlab.deubert.it/composer/healthchecks.git"
}
```

to "require" section
```javascript
"deubertit/composer-healthchecks": "*",
```

also, you can add configuration to the "extra" section:
```javascript
"dit-healthchecks-public-path": "public/"
```
if you do this, the "healthcheck.php" will be automatically installed to the specified directory, so you can call it with browser (you should also grant the access it, htaccess etc.).

In other case you should do it manually by copying the "healthcheck.dist.php" file and replacing placeholders there.

Supported require nodes:
- `php`
- `ext-EXTENSION_NAME`

Supported constraints:
- `<VERSION`
- `<=VERSION`
- `>VERSION`
- `>=VERSION`
- `*`


# Development

You can use the next composer.json to test it locally:
```javascript
{
    "name": "test/test",
    "repositories": [{
        "type": "path",
        "url": "/path/to/composer/healthchecks"
    }],
    "require": {
        "deubertit/composer-healthchecks": "@dev",
        "php": ">=7.0",
        "ext-curl": "*",
        "ext-json": "*"
    },
    "extra": {
        "dit-healthchecks-public-path": "public/"
    }
}
```
